require([
    'uiRegistry',
    'jquery',
    'domReady'
], function (uiRegistry, $, domReady) {
    domReady(function () {
        var dataSource = uiRegistry.get("index=sales_rule_form_data_source");
        if (!dataSource) {
            return
        }

        $(document).on("change", '#coupons_filoblu_coupon_expire_date', function() {
            dataSource.data.filoblu_coupon_expire_date = $(this).val()
        });

        $(document).on("change", '#coupons_filoblu_birthday_coupon', function() {
            dataSource.data.filoblu_birthday_coupon = $(this).val()
            if ($(this).val() === '1') {
                $("#coupons_qty").prop("disabled", true);
            } else {
                $("#coupons_qty").prop("disabled", false);
            }
        });

        $(document).on("change", '#coupons_length', function() {
            dataSource.data.coupons_length = $(this).val()
        });

        $(document).on("change", '#coupons_format', function() {
            dataSource.data.coupons_format = $(this).val()
        });

        $(document).on("change", '#coupons_prefix', function() {
            dataSource.data.coupons_prefix = $(this).val()
        });

        $(document).on("change", '#coupons_suffix', function() {
            dataSource.data.coupons_suffix = $(this).val()
        });

        $(document).on("change", '#coupons_dash', function() {
            dataSource.data.coupons_dash = $(this).val()
        });
    })
})
